- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 1defb62f-f9f2-43b9-9ac6-41be95120daf
    creation_time: 2023-02-17T13:41:38.943084Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/gj2007.c
      input_file_hashes:
        c/loop-lit/gj2007.c: 97d96c66f944ae26b62a4d7712ec0a631197f6676f93297b189223964e5f944c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/gj2007.c
    file_hash: 97d96c66f944ae26b62a4d7712ec0a631197f6676f93297b189223964e5f944c
    line: 9
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: (x < y && y == 50 || x == y && y >= 50) && x <= 100
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 6d40e038-8f13-4f26-8f83-7086b6d2b381
    creation_time: 2023-02-17T13:41:38.943454Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/gj2007.c
      input_file_hashes:
        c/loop-lit/gj2007.c: 97d96c66f944ae26b62a4d7712ec0a631197f6676f93297b189223964e5f944c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/gj2007.c
    file_hash: 97d96c66f944ae26b62a4d7712ec0a631197f6676f93297b189223964e5f944c
    line: 18
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: y == 100
    type: assertion
    format: C

